### Hierarchy

- DataView

## Index

### Properties

- buffer
- byteLength
- byteOffset

### Methods

- getFloat32
- getFloat64
- getInt16
- getInt32
- getInt8
- getUint16
- getUint32
- getUint8
- setFloat32
- setFloat64
- setInt16
- setInt32
- setInt8
- setUint16
- setUint32
- setUint8

## Properties

### buffer

buffer: ArrayBuffer

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1537

### byteLength

byteLength: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1538

### byteOffset

byteOffset: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1539

## Methods

### getFloat32

- getFloat32(byteOffset: number, littleEndian?: undefined | false | true): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1545

  Gets the Float32 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  - ##### Optional littleEndian: undefined | false | true

  #### Returns number

### getFloat64

- getFloat64(byteOffset: number, littleEndian?: undefined | false | true): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1552

  Gets the Float64 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  - ##### Optional littleEndian: undefined | false | true

  #### Returns number

### getInt16

- getInt16(byteOffset: number, littleEndian?: undefined | false | true): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1566

  Gets the Int16 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  - ##### Optional littleEndian: undefined | false | true

  #### Returns number

### getInt32

- getInt32(byteOffset: number, littleEndian?: undefined | false | true): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1572

  Gets the Int32 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  - ##### Optional littleEndian: undefined | false | true

  #### Returns number

### getInt8

- getInt8(byteOffset: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1559

  Gets the Int8 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  #### Returns number

### getUint16

- getUint16(byteOffset: number, littleEndian?: undefined | false | true): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1586

  Gets the Uint16 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  - ##### Optional littleEndian: undefined | false | true

  #### Returns number

### getUint32

- getUint32(byteOffset: number, littleEndian?: undefined | false | true): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1593

  Gets the Uint32 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  - ##### Optional littleEndian: undefined | false | true

  #### Returns number

### getUint8

- getUint8(byteOffset: number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1579

  Gets the Uint8 value at the specified byte offset from the start of the view. There is no alignment constraint; multi-byte values may be fetched from any offset.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be retrieved.

  #### Returns number

### setFloat32

- setFloat32(byteOffset: number, value: number, littleEndian?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1602

  Stores an Float32 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: number

    The value to set.

  - ##### Optional littleEndian: undefined | false | true

    If false or undefined, a big-endian value should be written, otherwise a little-endian value should be written.

  #### Returns void

### setFloat64

- setFloat64(byteOffset: number, value: number, littleEndian?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1611

  Stores an Float64 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: number

    The value to set.

  - ##### Optional littleEndian: undefined | false | true

    If false or undefined, a big-endian value should be written, otherwise a little-endian value should be written.

  #### Returns void

### setInt16

- setInt16(byteOffset: number, value: number, littleEndian?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1627

  Stores an Int16 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: number

    The value to set.

  - ##### Optional littleEndian: undefined | false | true

    If false or undefined, a big-endian value should be written, otherwise a little-endian value should be written.

  #### Returns void

### setInt32

- setInt32(byteOffset: number, value: number, littleEndian?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1636

  Stores an Int32 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: number

    The value to set.

  - ##### Optional littleEndian: undefined | false | true

    If false or undefined, a big-endian value should be written, otherwise a little-endian value should be written.

  #### Returns void

### setInt8

- setInt8(byteOffset: number, value: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1618

  Stores an Int8 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: number

    The value to set.

  #### Returns void

### setUint16

- setUint16(byteOffset: number, value: number, littleEndian?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1652

  Stores an Uint16 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: number

    The value to set.

  - ##### Optional littleEndian: undefined | false | true

    If false or undefined, a big-endian value should be written, otherwise a little-endian value should be written.

  #### Returns void

### setUint32

- setUint32(byteOffset: number, value: number, littleEndian?: undefined | false | true): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1661

  Stores an Uint32 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: number

    The value to set.

  - ##### Optional littleEndian: undefined | false | true

    If false or undefined, a big-endian value should be written, otherwise a little-endian value should be written.

  #### Returns void

### setUint8

- setUint8(byteOffset: number, value: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1643

  Stores an Uint8 value at the specified byte offset from the start of the view.

  #### Parameters

  - ##### byteOffset: number

    The place in the buffer at which the value should be set.

  - ##### value: number

    The value to set.

  #### Returns void

Generated using TypeDoc